KD Chart 2: KDChartWidget.cpp File Reference

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# KDChartWidget.cpp File Reference

`#include <KDChartWidget.h>`
`#include <KDChartWidget_p.h>`
`#include <KDChartAbstractDiagram.h>`
`#include <KDChartBarDiagram.h>`
`#include <KDChartCartesianCoordinatePlane.h>`
`#include <KDChartChart.h>`
`#include <KDChartAbstractCoordinatePlane.h>`
`#include <KDChartLineDiagram.h>`
`#include <KDChartPieDiagram.h>`
`#include <KDChartPolarCoordinatePlane.h>`
`#include <KDChartPolarDiagram.h>`
`#include <KDChartRingDiagram.h>`
`#include <KDChartLegend.h>`
`#include <QDebug>`
`#include <KDABLibFakes>`

Include dependency graph for KDChartWidget.cpp:

Go to the source code of this file.

## Defines
#define | d d_func()
#define | SET_SUB_TYPE(DIAGRAM, SUBTYPE)
#define | TEST_SUB_TYPE(DIAGRAM, INTERNALSUBTYPE, SUBTYPE)
## Functions
bool | isCartesian (KDChart::Widget::ChartType type)
bool | isPolar (KDChart::Widget::ChartType type)

## Define Documentation

#define d d_func()

| Definition at line 49 of file KDChartWidget.cpp.

#define SET_SUB_TYPE | ( | DIAGRAM,
|  | SUBTYPE |  | ) |

| Value:
    { \
        if( DIAGRAM ) \
            DIAGRAM->setType( SUBTYPE ); \
    }
Referenced by KDChart::Widget::setSubType().

#define TEST_SUB_TYPE | ( | DIAGRAM,
|  | INTERNALSUBTYPE,
|  | SUBTYPE |  | ) |

| Value:
    { \
        if( DIAGRAM && DIAGRAM->type() == INTERNALSUBTYPE ) \
            retVal = SUBTYPE; \
    }

## Function Documentation

bool isCartesian | ( | KDChart::Widget::ChartType | type | ) | `[static]`

| Definition at line 385 of file KDChartWidget.cpp.
    00386 {
    00387     return (type == KDChart::Widget::Bar || type == KDChart::Widget::Line);
    00388 }

bool isPolar | ( | KDChart::Widget::ChartType | type | ) | `[static]`

| Definition at line 390 of file KDChartWidget.cpp.
    00391 {
    00392     return (type == KDChart::Widget::Pie
    00393             || type == KDChart::Widget::Ring
    00394             || type == KDChart::Widget::Polar );
    00395 }